
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Calls Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Calls</h1><h2>Description</h2>
<p>This interface provides access to the collection of PIM calls.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Calls</tt></p>
<h2>Methods</h2><ul>
<li><a href="#Add">Add</a></li>
<li><a href="#GetSingleEntrySingleField">GetSingleEntrySingleField</a></li>
<li><a href="#Query">Query</a></li>
<li><a href="#GetNewMissedCalls">GetNewMissedCalls</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#NewCall">NewCall</a></li>
<li><a href="#IncomingCall">IncomingCall</a></li>
<li><a href="#NewMissedCalls">NewMissedCalls</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="Add">Add</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Add a new call to the default backend for calls. </p><h4>Parameters</h4><i>a{sv}: call_data</i><p>The new calls data. </p><h4>Returns</h4><i>s: call_path</i><p>The contact path of the added call. </p>
<h3><a name="GetSingleEntrySingleField">GetSingleEntrySingleField</a> ( a{sv}s ) &rarr; s</h3>
<p><i>Description:</i> Query the content of one field of one call. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><i>s: field</i><p>The name of the field to query. </p><h4>Returns</h4><i>s: value</i><p>The content of the queried field. </p>
<h3><a name="Query">Query</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Start a query for calls. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><h4>Returns</h4><i>s: query_path</i><p>The path for the started query. </p>
<h3><a name="GetNewMissedCalls">GetNewMissedCalls</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Get the amount of new missed calls. </p><h4>Returns</h4><i>i: amount</i><p>Amount of new missed calls </p>
<h1>Signals</h1><h3><h3><a name="NewCall">NewCall</a> ( s )</h3><p><i>Description:</i> Sent when a new call is loaded. </p><h4>Parameters</h4><i>s: call_path</i><p>The path of the newly loaded call. </p></h3>
<h3><h3><a name="IncomingCall">IncomingCall</a> ( s )</h3><p><i>Description:</i> Sent when a new missed call is registered. </p><h4>Parameters</h4><i>s: call_path</i><p>The path of the newly registered missed call. </p></h3>
<h3><h3><a name="NewMissedCalls">NewMissedCalls</a> ( i )</h3><p><i>Description:</i> Sent when amount of new missed calls changes. </p><h4>Parameters</h4><i>i: amount</i><p>Amount of new missed calls. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

